Subject: RE: doubts regarding Pimsm (CRPs)

From: Subramaniam L N <[email-masked]>
Date: Fri, 9 Jun 2000 11:56:56 +0530

-----Original Message-----
From:	Dave Thaler [SMTP:[email-masked]]
Sent:	Friday, 9 June 2000 2:44 AM
To:	sabarivel s
Cc:	[email-masked]
Subject:	Re: doubts regarding Pimsm (CRPs)

>   i have some doubts regarding the Candidate RPs
> 
> 
> 1)  RFC 2362 section 3.6.1 states that the "C-RPs should send C-RP-Adv 
> messages with the prioirity field
> set to zero".
>  If so , what is the use of the candidate RP priority ?

If prefixes are allocated to domains (e.g. via MASC or GLOP or
IPv6 prefix-style addressing), border routers will send C-RP-Advs
with non-zero priority for ranges which are reached through them.
This is not part of the base PIM-SM spec.  Only the required behavior
of internal PIM-SM routers, BSRs, etc is discussed.

> 2) In the section 3.6.2 it states that "the BSR may override the prefix 
> indicated in a C-RP-Adv unless the priority field is not zero".
> 
> As per the previous statement if the candidate rps sends the CRP message 
> with priroity field set to zero,
> where does the above situtation arise ?
> 
> then what does it mean by overriding the prefix ?

The BSR is always free to override normal C-RP-Advs by say static configuration
to apply to whatever subset of groups it wants them to.  This should not 
be a normal situation though.

> 3) in the section 3.6.1 what does the statement " the advertising router 
> may enfore this scope acceptance when receiveing register or join/prune 
> messages " mean ?

I believe it means an RP can drop Registers for groups it didn't claim
to be an RP for (in which case a BSR should only be narrowing the range
of groups for which a given RP is valid, 
[Subramaniam L N]  Bootstrap Mechanism was introduced to have a consistent view of RP for each group 
                                in the domain. If it is so, then how a router could receive a Register Message, without 
                                being the RP, for Group in the Register Message?

> thanks in advance
> with regards
> sabaris

-Dave